Subject: G94:SUMMARY:Out of memory in l303.exe

From: Grzegorz Bakalarski <[email-masked]>
Date: Fri, 23 Feb 1996 17:14:11 +0100

Dear Netter,

Many thanks to all who respond for my querry on l303.exe in Gaussian 94.
I've got some useful advices and some comments. There was a little 
confusion about system I've metioned, because I've forgot to add diffusive
functions in my mail (opposite to my input file). Finally my initial input
line was:
#P blyp/6-311++(2df,2pd) scf=(direct).
and the system was Zn2+H2O, which gave 138 basis functions and 38 electrons.

The final solution I've chosen, was (proposed by [email-masked]) 
to skip l303.exe. So my input line was:

%Mem=5000000
 #P blyp/6-311++(2df,2pd) IOP(3/36=-1)  scf=(direct)

 I was able to do SCF however for optimization I had to add
more memory.

Thanks again, and best wishes,-
				Grzegorz Bakalarski

**********
***************************
**********************************************
HERE BEGINS FULL SUMMARY:
***********************************************************************
***********************************************************************
ORIGINAL QUERRY:
**********************************************
**************************
*********
Dear Netters,
 
I am quite new in using G94. So maybe it is a FAQ ... .
I have a system with 138 basis functions. (H2O...ZN2+)
and I use 6-311(2df,2pd) basis set. Until I request
at least 10MW memory (%Mem=6 000 000), I get a   
message: 
 
(Enter /scratch/gaussian_OSF1/g94/l303.exe) 
 DipDrv:  MaxL=1. 
 Out of memory in DipPsm. 
 Error termination via Lnk1e in /scratch/gaussian_OSF1/g94/l303.exe. 
 
In G94 User Reference I found that l303 calculates multipole integrals.
 
My question are:
^^^^^^^^^^^^^^^
1) What are these "multipole integrals"Remote server has closed connection
2) Is there any way to force Gaussian to use smaller amount of memory ?
( I tried SCF=DIRECT or SCF=CONVENTIONAL or INT=NoRaffinetti and other options )
 
Thanks for any help. I will summarize if there will be any interest .
 
Grzegorz Bakalarski

**********
***************************
***********************************************************************
			RESPONSES:
***********************************************************************
**************************
*********

>From [email-masked] Tue Feb 20 17:35 CET 1996
Dear Grzegorz:
   Those integrals are used to calculate quadripole and higher. Generally
we don't need those things. You may try to turn off options of calculating
multipoles by setting IOP(36) = -1 for overlay 3. But I still suspect if
this will work. Back a few years ago, I managed to transport G86 my PC.
As far as I remember, Gaussian program kind of preset (or say pre-allocate
space for those matrices). G94 may change that, I don't know.
 
-Gu

**********
***************************
***************************
*********

>From [email-masked] Tue Feb 20 00:52 MET 1996
I also hit this sometimes. It seems like a bug in Gaussian: it requires
more memory than needs. Did you try to contact Gaussian Inc.? 
Please post summary.
AM
      __   _________ 
     /  \ /  _   _  \   Artem Masunov - [email-masked]
    /    \\  \\  \\  \       Chemistry Department, Hunter College
   /  /\  \\  \\  \\  \          City University of New York
  /  ____  \\  \\  \\  \     695 Park Avenue, New York, NY 10021
 /__/\__/\__\\__\\__\\__\ Tel: (212) 725-0317, Fax: (212) 772-5332
 \__\/  \/__//__//__//__/

**********
***************************
***************************
*********

>From [email-masked] Tue Feb 20 11:45 MET 1996
Panie Grzegorzu,
mysle ze nie warto wykonywac obliczen z funkcjami f dla ukladu woda + Zn2.
Wykorzystanmie tych fiunkcji nie wiele daje, a liczy sie bardzo dlugo. Moze
Pan raczej sprobuje z funkcjami dyfuzyjnymi (one sa wazne dla kompleksow)...
Staszek Kwiatkowski

**********
***************************
***************************
*********

From: [email-masked] (Cory C. Pye)
I believe that the multipole integrals are those integrals of the form
<Phi| x^l y^m z^n |Phi>, where  l,m,n >= 0 . These are needed in calculating
the dipole, quadrupole, octupole moments, which I believe aren't applicable to
a charged molecule.
You may wish to use a smaller basis set. The f orbitals may be contributing to the
memory problem, so unless they are absolutely necessary, you might want to use
something like 6-311(2d,2p), or if they are needed, maybe 6-311(2df,2p). What
are d's on Hydrogen going to improve, unless you need to do some superaccurate
IR or Raman intensity calculation, or a large scale CI. 
We have been able to achieve decent results for metal water
clusters even with a 6-31G(d) basis set, see JPC 99 3793 (1995) and
JPC 100 601 (1996) especially the latter, at least for vib. freq's.
We have also performed several calcs on other M(H2O)6 m+ ions.
(We used G92, but these should be fairly similar).
I did not realize there was a 6-311G basis set for Zn, do you
have a reference handy? I know of the 6-311G basis for C-N and of
the MacLean-Chandler basis sets for second-row atoms.
 
2) SMALLER memory? This usually is only a problem for small machines (Linux PC, 
Apollo DN 10000, Commodore VIC-20 :-) ) Just set %mem=whatever_you_want_as_your_maximum.
What I find best is to look at the amount available (say, from vmstat) and set it to
correspond to just a little under that, IF IT NEEDS A LOT. Setting it to be more means
that your system will swap like mad, making other users mad as well.
 
-Cory
   *************
 *****************  !  Cory C. Pye
***   **    **  **  !  Graduate Student
**   *  ****        !  Unpaid Sys Admin
**      *  *        !  Theoretical and
**      *  *        !  Computational Chemistry
***     *  *    **  !
 *****************  !  Les Hartree-Focks
   *************    !  (Apologies to Montreal Canadien Fans)

**********
***************************
***************************
*********

From: [email-masked] (Doug Fox)
  Dr. Bakalarski,
 
   I have tried to duplicate your problem and find that it runs in 
4MW but I don't get 138 basis functions so I don't think I have
interpreted your description correctly.
 
   Which revision of G94 are you using?
 
   You can use the old G92 algorithm by using INT=(Rys1E) which should
use less memory even if it is slightly slower.
 
 Douglas J. Fox
  Director of Technical Support
  [email-masked]
 
**********
***************************
***************************
*********

>From [email-masked] Wed Feb 21 10:21 MET 1996
Moze nie bedzie to odpowiedz na Panskie klopoty wprost, ale wydaje mi sie
ze chyba Panskie klopoty zaczynaja sie i koncza w dobraniu ilosci pamieci do
obliczen. 138 funkcji bazy to raczej standardowe obliczenie w przypadku G94
i zwykle 3 megaslowa starczaja. W Panskim przypadku troche nie moglem
sie zorientowac o ile mega slow chodzi (10 czy 6?) ale zakladajac
ze G94 jest zainstalowany na Alphie w ICM, ktora ma zdaje sie 64 MB RAM
rezerwacja 10 Mslow musi zakonczyc sie kleska (10*8*1000000> 64 MB RAM).
Jesli mozna zadac pytanie: co za obliczenie wymaga az 10 MW pamieci,
ktorys rzad rachunku Mollera-Plesseta, czestosci? Powyzsze spostrzezenia
zakladaja ze slowo ma 8 bajtow, jesli wiecej (a tak jest na Crayach) to
jest jeszcze gorzej, bo w zakladanych 64 MB RAM mniej jest slow. 64 MB RAM to drugie 
zalozenie.
Serdecznie pozdrawiam i mam nadzieje, ze choc troche pomoglem
Marcin Wisiorowski
[email-masked] albo [email-masked]

**********
***************************
*******************************************************************************
			END OF FILE
*******************************************************************************
***************************
*********